<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title><% LIN_PRODUCT_NAME %></title>
<meta http-equiv="X-UA-Compatible" content="IE=9,8,7,6,5" />
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="expires" content="-1">
<link rel="stylesheet" href="/template.css" type="text/css">
<script language=javascript src="/java/js.js"></script>
<script language="JavaScript">
<!--
var isIE = /*@cc_on!@*/false;
var secs;
var timerID=null;
var delay=1000;
var http_request;
var xmlDoc;
var xmlNode;
var serverNoResponseCount=0;
var show_module="<% UPS_SHOW_MODULE %>";
var upsSeries="<% UPS_SERIES %>";
var imgSrc=new Array("/images/no_image.gif","/images/l_normal.gif","/images/l_warning.gif","/images/l_critical.gif");
var imgAlarmSrc=new Array("/images/l_gray.gif","/images/l_normal.gif","/images/l_warning.gif","/images/l_critical.gif");
var invSts=new Array("<span id='#0'>Off</span>","<span id='#1'>On</span>");
function InitializeTimer()
{
	// Set the length of the timer, in seconds
	secs=0;
	RunTheTimer();
}

function RunTheTimer()
{
	if(secs==0) {
		secs = <% WEB_REFRESH %>;
		if(serverNoResponseCount>3) {
			UpdateXMLValue(); // Display unknown
		}
		serverNoResponseCount++; // Increase no response counter
		MakeXMLRequest();
	}
	self.status=secs;
	secs=secs-1;
	timerID=self.setTimeout("RunTheTimer()",delay);
}

function MakeXMLRequest()
{
    if(window.XMLHttpRequest) // IE7, Chrome
    	http_request=new XMLHttpRequest();
    else if(window.ActiveXObject) { // IE
    	try {
        	// New IE
        	http_request=new ActiveXObject("Msxml2.XMLHTTP");
    	}
    	catch(e) {
        	try {
        		// IE6, IE5
        		http_request=new ActiveXObject("Microsoft.XMLHTTP");
        	}
        	catch(e) {}
    	}
    }
    if(!http_request) {
        alert('Cannot create an XML instance');
        return false;
    }
    http_request.onreadystatechange=function() {HandleRxXML();}; // Set callback function
    http_request.open('GET','info_module.xml',true);
	// IE need to add the following header or it always gets the catched info_battery.xml and the values are always the same
	http_request.setRequestHeader("If-Modified-Since","Sat, 1 Jan 2000 00:00:00 GMT");
	d = new Date();
	t = d.getTime();
	thetimestring=t.toString(10);
	http_request.send(thetimestring);
}

function HandleRxXML() {
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
			UpdateXMLValue();
			serverNoResponseCount=0; // Clear no response counter
		}
    }
}

function UpdateXMLValue()
{
    if(serverNoResponseCount>3) {
		document.getElementById('NET_DISCONNECT').innerHTML=getdivc("@index#20","Network: Disconnect");
    }
    else {
	    if(isIE) { // IE
		 	try {
				xmlDoc = new ActiveXObject("MSxml2.DOMDocument");
			}
			catch(e) {
				try {
					xmlDoc = new ActiveXObject("Microsoft.xmldom");
				}
    	    	catch(e) {}
			}
			xmlDoc.loadXML(http_request.responseText);
    	}
	    else { // Chrome
    		xmlDoc=http_request.responseXML;
    	}
		document.getElementById('NET_DISCONNECT').innerHTML="";

		document.getElementById('SYS_TIME').innerHTML=xmlDoc.getElementsByTagName('SYS_TIME')[0].childNodes[0].nodeValue;
		document['UPS_PM_BYPASS_BAD'].src=imgAlarmSrc[xmlDoc.getElementsByTagName('UPS_PM_BYPASS_BAD')[0].childNodes[0].nodeValue];
		document['UPS_PM_BYPASS_SEQ'].src=imgAlarmSrc[xmlDoc.getElementsByTagName('UPS_PM_BYPASS_SEQ')[0].childNodes[0].nodeValue];
		document['UPS_PM_BYPASS_OVERLOAD'].src=imgAlarmSrc[xmlDoc.getElementsByTagName('UPS_PM_BYPASS_OVERLOAD')[0].childNodes[0].nodeValue];
		document['UPS_PM_BYPASS_OVERTEMP'].src=imgAlarmSrc[xmlDoc.getElementsByTagName('UPS_PM_BYPASS_OVERTEMP')[0].childNodes[0].nodeValue];
		document['UPS_PM_BYPASS_STSFAIL'].src=imgAlarmSrc[xmlDoc.getElementsByTagName('UPS_PM_BYPASS_STSFAIL')[0].childNodes[0].nodeValue];
		for(i=0;i<show_module.length;i++) {
			if(49==show_module.charCodeAt(i)) {
				val=xmlDoc.getElementsByTagName('UPS_PM_TEMP_PFC')[i].childNodes[0].nodeValue;
				if(val!=-1)
					document.getElementById('UPS_PM'+(i+1)+'_TEMP_PFC').innerHTML=val;
				val=xmlDoc.getElementsByTagName('UPS_PM_TEMP_INVERTER')[i].childNodes[0].nodeValue;
				if(val!=-1)
					document.getElementById('UPS_PM'+(i+1)+'_TEMP_INVERTER').innerHTML=val;
				val=xmlDoc.getElementsByTagName('UPS_PM_TEMP_INVR')[i].childNodes[0].nodeValue;
				if(val!=-1)
					document.getElementById('UPS_PM'+(i+1)+'_TEMP_INVR').innerHTML=val;
				val=xmlDoc.getElementsByTagName('UPS_PM_TEMP_INVS')[i].childNodes[0].nodeValue;
				if(val!=-1)
					document.getElementById('UPS_PM'+(i+1)+'_TEMP_INVS').innerHTML=val;
				val=xmlDoc.getElementsByTagName('UPS_PM_TEMP_INVT')[i].childNodes[0].nodeValue;
				if(val!=-1)
					document.getElementById('UPS_PM'+(i+1)+'_TEMP_INVT').innerHTML=val;
				val=xmlDoc.getElementsByTagName('UPS_PM_VOLT_INVR')[i].childNodes[0].nodeValue;
				if(val>=0)
					document.getElementById('UPS_PM'+(i+1)+'_VOLT_INVR').innerHTML=val;
				val=xmlDoc.getElementsByTagName('UPS_PM_VOLT_INVS')[i].childNodes[0].nodeValue
				if(val>=0)
					document.getElementById('UPS_PM'+(i+1)+'_VOLT_INVS').innerHTML=val;
				val=xmlDoc.getElementsByTagName('UPS_PM_VOLT_INVT')[i].childNodes[0].nodeValue;
				if(val>=0)
					document.getElementById('UPS_PM'+(i+1)+'_VOLT_INVT').innerHTML=val;
				for(j=0;j<10;j++) {
					val_message=xmlDoc.getElementsByTagName('UPS_PM_STS'+(j+1))[i].childNodes[0].nodeValue;
					if(val_message.length>1) {
						document['UPS_PM'+(i+1)+'_IMG'+(j+1)].src=imgSrc[xmlDoc.getElementsByTagName('UPS_PM_IMG'+(j+1))[i].childNodes[0].nodeValue];
						document.getElementById('UPS_PM'+(i+1)+'_STS'+(j+1)).innerHTML=val_message;
					}
					else {
						document['UPS_PM'+(i+1)+'_IMG'+(j+1)].src=imgSrc[0];
						document.getElementById('UPS_PM'+(i+1)+'_STS'+(j+1)).innerHTML="";
					}
				}
			}
		}
	}
}
--></script>
</head>

<body leftmargin="1" topmargin="8" style="display:none" onLoad="loadjs('/java/langs.js');setTimeout('pageload();InitializeTimer();',150)">
<!-- Top Menu & Left Menu Start -->
<table width=941 border=0 height=100% cellspacing=0 cellpadding=0 align=center id=tab0>
<tr><td colspan=3 id=topblk valign=top><div id=topblkdiv></div></td></tr>
<tr><td colspan=3 id=topmenu1><span id=topmenu1div></span></td></tr>
<tr><td colspan=3 class=topmenusgap><img src="/images/sp.gif" width=941 height=2></td></tr>
<tr><td colspan=3 class=topmenu2 valign=top><span id=topmenu2div></span></td></tr>
<tr><td width="170" valign=top id=td0><div class=menunavdiv id=leftmenudiv></div></td>
<td id=td1><img src=/images/sp.gif width=13 height=1></td>
<td id=td2>
<div style="display:none">
<div id=currlang><% LIN_LANG %></div>
<div id=home_url><a href='<% LIN_INDEX_ASP %>'><span id="@menus#0">Home</span></a></div>
<div id=logout_url><a href='/logout.asp' class='nav' target='_top'><span id="@menus#1">Logout</span></a></div>
<div id=sys_times><% SYS_TIME %></div>
<span id='#8'>PFC Temp.</span>
<span id='#9'>Inverter Temp.</span>
<span id='#10'>Inverter-R Temp.</span>
<span id='#11'>Inverter-S Temp.</span>
<span id='#12'>Inverter-T Temp.</span>
<span id='#13'>Inverter-R Volt</span>
<span id='#14'>Inverter-S Volt</span>
<span id='#15'>Inverter-T Volt</span>
<span id='@index#20'>Network: Disconnect</span>
</div>
<!-- Top Menu & Left Menu End -->
<h4 id=page_title></h4>
<!-- Form Start -->
			<table width=700 border=0 cellspacing=0 cellpadding=0>
				<!--tr><td colspan=7 class=bigtitle>&nbsp;&nbsp;UPS Information &raquo; Power Module</td></tr-->
				<tr><td class="critical"><span id=NET_DISCONNECT></span></td></tr>
				<tr><td width=280>
		<div class='bluetabs brtype0' id="<span id='#2'>Power Module Bypass</span>">
			<table width=240 border=0 cellspacing=0 cellpadding=0 class=mtab>
				<!--tr height=20pt>
					<td>Power Module Bypass</td>
				</tr-->
				<tr><td nowrap><img name=UPS_PM_BYPASS_BAD>&nbsp;<span id="#3">Bypass Voltage/Frequency Abnormal</span></td></tr>
				<tr><td nowrap><img name=UPS_PM_BYPASS_SEQ>&nbsp;<span id="#4">Bypass Phase Sequence Abnormal</span></td></tr>
				<tr><td nowrap><img name=UPS_PM_BYPASS_OVERLOAD>&nbsp;<span id="#5">Bypass STS Overload</span></td></tr>
				<tr><td nowrap><img name=UPS_PM_BYPASS_OVERTEMP>&nbsp;<span id="#6">Bypass STS Over Temperature</span></td></tr>
				<tr><td nowrap><img name=UPS_PM_BYPASS_STSFAIL>&nbsp;<span id="#7">Bypass STS Fail</span></td></tr>
			</table>
		</div></td></tr>
				<tr><td>&nbsp;</td></tr>
				<tr valign="top"><td>
				<div class='bluetabs brtype1' id="<span id='@menus#36'>Power Module</span>">
				    <table width=600 border=0 cellspacing=0 cellpadding=0 class=mtab><tr>
<script language="javascript">
<!--
var index=0;
for(i=0;i<show_module.length;i++) {
	if(49==show_module.charCodeAt(i)) {
		rowIndex=0;
		document.write("<td width=24% valign=top>");
		document.write("<table width=100% border=0 cellspacing=0 cellpadding=0 class=mtab2>");
		document.write("<tr height=20pt><td colspan=3 class=mtabth2>ID", i+1, "</td></tr>");
		rowIndex++;
		document.write("<tr ", rowIndex%2==1?'bgcolor=#eeeeee':'' ,"><td align=right nowrap style='padding-right:6px;'><span id='#8-"+i+"'>PFC Temp.</span>: </td><td class=bold><span id=UPS_PM", i+1, "_TEMP_PFC></span></td><td class=bold nowrap><small>&#176C</small></td></tr>");
		rowIndex++;
		document.write("<tr "+ (rowIndex%2==1?'bgcolor=#eeeeee':'') +"><td align=right nowrap style='padding-right:6px;'><span id='#9-"+i+"'>Inverter Temp.</span>: </td><td class=bold><span id=UPS_PM"+ (i+1)+ "_TEMP_INVERTER></span></td><td class=bold nowrap><small>&#176C</small></td></tr>");
		rowIndex++;
		if(upsSeries > 3) { // Need not to display R, S, T temperature in NH or NH Plus
			document.write("<tr ", rowIndex%2==1?'bgcolor=#eeeeee':'' ,"><td align=right nowrap style='padding-right:6px;'><span id='#10-"+i+"'>Inverter-R Temp.</span>: </td><td class=bold><span id=UPS_PM", i+1, "_TEMP_INVR></span></td><td class=bold nowrap><small>&#176C</small></td></tr>");
			rowIndex++;
			document.write("<tr ", rowIndex%2==1?'bgcolor=#eeeeee':'' ,"><td align=right nowrap style='padding-right:6px;'><span id='#11-"+i+"'>Inverter-S Temp.</span>: </td><td class=bold><span id=UPS_PM", i+1, "_TEMP_INVS></span></td><td class=bold nowrap><small>&#176C</small></td></tr>");
			rowIndex++;
			document.write("<tr ", rowIndex%2==1?'bgcolor=#eeeeee':'' ,"><td align=right nowrap style='padding-right:6px;'><span id='#12-"+i+"'>Inverter-T Temp.</span>: </td><td class=bold><span id=UPS_PM", i+1, "_TEMP_INVT></span></td><td class=bold nowrap><small>&#176C</small></td></tr>");
			rowIndex++;
		}
		document.write("<tr ", rowIndex%2==1?'bgcolor=#eeeeee':'' ,"><td align=right nowrap style='padding-right:6px;'><span id='#13-"+i+"'>Inverter-R Volt</span>: </td><td class=bold><span id=UPS_PM", i+1, "_VOLT_INVR></span></td><td class=bold><small>V</small></td></tr>");
		rowIndex++;
		document.write("<tr ", rowIndex%2==1?'bgcolor=#eeeeee':'' ,"><td align=right nowrap style='padding-right:6px;'><span id='#14-"+i+"'>Inverter-S Volt</span>: </td><td class=bold><span id=UPS_PM", i+1, "_VOLT_INVS></span></td><td class=bold><small>V</small></td></tr>");
		rowIndex++;
		document.write("<tr ", rowIndex%2==1?'bgcolor=#eeeeee':'' ,"><td align=right nowrap style='padding-right:6px;'><span id='#15-"+i+"'>Inverter-T Volt</span>: </td><td class=bold><span id=UPS_PM", i+1, "_VOLT_INVT></span></td><td class=bold><small>V</small></td></tr>");
		rowIndex++;
		document.write("<tr><td colspan=3><div class='divider'></div></td></tr>");
		document.write("</table>");
		document.write("<table width=100% border=0 cellspacing=0 cellpadding=0>");
		for(j=0;j<10;j++)
		{
			document.write("<tr valign='top'><td width=10%><img name=UPS_PM"+(i+1)+"_IMG"+(j+1)+"></td><td width=90%><span id=UPS_PM"+(i+1)+"_STS"+(j+1)+"></span></td></tr>");
		}
		document.write("</table>");
		document.write("</td>");
		if(index%4==3) {
			document.write("</tr>");
			document.write("<tr valign='top'>");
		}
		else
			document.write("<td width=1%>&nbsp;</td>");
		index++;
	}
}
--></script>
				</tr>
			</table></div>
</td></tr></table>
<FORM NAME="info_module"></form>
<!-- Form end -->
<div id=copyright></div>
<script language="javascript"><!--
var usr_level=<% LIN_LOGIN_LEVEL %>;
var flag_sensor=<% LIN_SENSOR_MENU %>;
var show_module="<% UPS_SHOW_MODULE %>";
loadwebstyle("Monitor","Information","Power Module")
//--></script>
</td></tr></table>
</body>
</html>
