<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title><% LIN_PRODUCT_NAME %></title>
<meta http-equiv="X-UA-Compatible" content="IE=9,8,7,6,5" />
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<meta http-equiv="pragma" content="no-cache">
<meta http-equiv="expires" content="-1">
<link rel="stylesheet" href="/template.css" type="text/css">
<script language=javascript src="/java/js.js"></script>
<script type="text/javascript" src="/java/jquery-1.4.4.pack.js"></script>
<!-- Use Compatibility mode in IE -->
<!--[if lt IE 9]><script language="javascript" type="text/javascript" src="/java/excanvas.min.js"></script><![endif]-->
<link rel="stylesheet" type="text/css" href="/java/jquery.jqplot.css" />
<!-- BEGIN: load jqplot -->
<script type="text/javascript" src="/java/jquery.jqplot.min.js"></script>
<script type="text/javascript" src="/java/jqplot.meterGaugeRenderer.min.js"></script>
<script type="text/javascript">
<!--
var isIE = /*@cc_on!@*/false;
var secs;
var timerID=null;
var delay=1000;
var http_request;
var xmlDoc;
var xmlNode;
var serverNoResponseCount=0;
var battlevel="<% UPS_BATTLEVEL %>";
var battleveln="<% UPS_NEGBATTLEVEL %>";
var battvolt="<% UPS_BATTVOLT %>";
var battvoltn="<% UPS_NEGBATTVOLT %>";
var battamp="<% UPS_BATTAMP %>";
var battampn="<% UPS_NEGBATTAMP %>";
var batttemp="<% UPS_TEMP %>";
var batttempn="<% UPS_NEGTEMP %>";
var battremain="<% UPS_BATTREMAIN %>";
var battcabinet="<% UPS_BATTCAB_NUM %>";
var battbreaker="<% UPS_BATTCAB_BREAKER %>";
var chargeampp="<% UPS_CHG_CUR_POS %>";
var chargeampn="<% UPS_CHG_CUR_NEG %>";
var battSts=new Array('<span id="@index#38">Normal</span>','<span id="@index#39">Weak</span>','<span id="@index#40">Low</span>','<span id="@index#41">Depleted</span>','<span id="@index#42">Replace</span>');
var battCharge=new Array('<span id="#19">Rest</span>','<span id="#20">Charging</span>','<span id="#21">Discharging</span>');
var imgBreaker=new Array("/images/breaker_open.gif","/images/breaker_close.gif");
var classString=new Array("normal", "normal", "warning", "critical");
var imgBreaker=new Array("/images/breaker_open.gif","/images/breaker_close.gif");
var testResult=new Array('<span id="#28">No Test Performed</span>','<span id="#29">Passed</span>','<span id="#30">Testing</span>','<span id="#31">Failed</span>','<span id="#31-1">Failed</span>','<span id="#31-2">Failed</span>','<span id="#32">Aborted</span>');

function InitializeTimer()
{
	// Set the length of the timer, in seconds
	secs=0;
	RunTheTimer();
}

function RunTheTimer()
{
	if(secs==0) {
		secs = <% WEB_REFRESH %>;
		if(serverNoResponseCount>3) {
			UpdateXMLValue(); // Display unknown
		}
		serverNoResponseCount++; // Increase no response counter
		MakeXMLRequest();
	}
	self.status=secs;
	secs=secs-1;
	timerID=self.setTimeout("RunTheTimer()",delay);
}

function MakeXMLRequest()
{
    if(window.XMLHttpRequest) // IE7, Chrome
    	http_request=new XMLHttpRequest();
    else if(window.ActiveXObject) { // IE
    	try {
        	// New IE
        	http_request=new ActiveXObject("Msxml2.XMLHTTP");
    	}
    	catch(e) {
        	try {
        		// IE6, IE5
        		http_request=new ActiveXObject("Microsoft.XMLHTTP");
        	}
        	catch(e) {}
    	}
    }
    if(!http_request) {
        alert('Cannot create an XML instance');
        return false;
    }
    http_request.onreadystatechange=function() {HandleRxXML();}; // Set callback function
    http_request.open('GET','info_battery.xml',true);
	// IE need to add the following header or it always gets the catched info_battery.xml and the values are always the same
	http_request.setRequestHeader("If-Modified-Since","Sat, 1 Jan 2000 00:00:00 GMT");
	d = new Date();
	t = d.getTime();
	thetimestring=t.toString(10);
	http_request.send(thetimestring);
}

function HandleRxXML() {
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
			UpdateXMLValue();
			serverNoResponseCount=0; // Clear no response counter
		}
    }
}

function UpdateXMLValue()
{
    if(serverNoResponseCount>3) {
		document.getElementById('NET_DISCONNECT').innerHTML=getdivc("@index#20","Network: Disconnect");
    }
    else {
	    if(isIE) { // IE
		 	try {
				xmlDoc = new ActiveXObject("MSxml2.DOMDocument");
			}
			catch(e) {
				try {
					xmlDoc = new ActiveXObject("Microsoft.xmldom");
				}
    	    	catch(e) {}
			}
			xmlDoc.loadXML(http_request.responseText)
    	}
	    else { // Chrome
    		xmlDoc=http_request.responseXML;
    	}
		document.getElementById('NET_DISCONNECT').innerHTML="";
		document.getElementById('SYS_TIME').innerHTML = xmlDoc.getElementsByTagName('SYS_TIME')[0].childNodes[0].nodeValue;

		val_commsts = xmlDoc.getElementsByTagName('UPS_COMMSTS')[0].childNodes[0].nodeValue;
		val=xmlDoc.getElementsByTagName('UPS_BATTSTS')[0].childNodes[0].nodeValue;
		if(val_commsts == 0 && val >= 0) {
			document.getElementById('PRP_C_BATTSTS').className=classString[xmlDoc.getElementsByTagName('PRP_C_BATTSTS')[0].childNodes[0].nodeValue];
			document.getElementById('UPS_BATTSTS').innerHTML=battSts[val];
		}
		val=xmlDoc.getElementsByTagName('UPS_BATTCHARGE')[0].childNodes[0].nodeValue;
		if(val_commsts == 0 && val >= 0) {
			document.getElementById('PRP_C_BATTCHARGE').className=classString[xmlDoc.getElementsByTagName('PRP_C_BATTCHARGE')[0].childNodes[0].nodeValue];
			document.getElementById('UPS_BATTCHARGE').innerHTML=battCharge[val];
		}
		val=xmlDoc.getElementsByTagName('UPS_TESTRESULT')[0].childNodes[0].nodeValue;
		if(val_commsts == 0 && val >= 0) {
			document.getElementById('PRP_C_TESTRESULT').className=classString[xmlDoc.getElementsByTagName('PRP_C_TESTRESULT')[0].childNodes[0].nodeValue];
			document.getElementById('UPS_TESTRESULT').innerHTML=testResult[val];
		}
		val=xmlDoc.getElementsByTagName('PRP_C_ONBATTTIME')[0].childNodes[0].nodeValue;
		document.getElementById('PRP_C_ONBATTTIME1').className=classString[val];
		document.getElementById('PRP_C_ONBATTTIME2').className=classString[val];
		val = xmlDoc.getElementsByTagName('UPS_ONBATTTIME')[0].childNodes[0].nodeValue;
		if (val < 0) {
			val = 0;
		}
		document.getElementById('UPS_ONBATTTIME').innerHTML = val;
		if(battlevel>=0) {
			val=xmlDoc.getElementsByTagName('PRP_C_BLEVEL')[0].childNodes[0].nodeValue;
			document.getElementById('PRP_C_BLEVEL1').className=classString[val];
			pgbarTotalWidth = 120
			battlevelp=xmlDoc.getElementsByTagName('UPS_BATTLEVEL')[0].childNodes[0].nodeValue;
			if(battleveln>=0) {
				document.getElementById('PRP_C_BLEVEL2').className=classString[val];
				battleveln=xmlDoc.getElementsByTagName('UPS_NEGBATTLEVEL')[0].childNodes[0].nodeValue;
				setProbar("#battprobar",100,battlevelp,classString[val])
				setProbar("#battprobarn",100,battleveln,classString[val])
			}
			else
				setProbar("#battprobar",100,battlevelp,classString[val])
		}
		if(battvolt>=0) {
			val=xmlDoc.getElementsByTagName('PRP_C_BATTVOLT')[0].childNodes[0].nodeValue;
			document.getElementById('PRP_C_BATTVOLT1').className=classString[val];
			document.getElementById('PRP_C_BATTVOLT2').className=classString[val];
			battvoltp=xmlDoc.getElementsByTagName('UPS_BATTVOLT')[0].childNodes[0].nodeValue;
			if(battvoltn>=0) {
				battvoltn=xmlDoc.getElementsByTagName('UPS_NEGBATTVOLT')[0].childNodes[0].nodeValue;
				document.getElementById('UPS_BATTVOLT').innerHTML=battvoltp + "(+)<br>" + battvoltn + "(-)";
			}
			else
				document.getElementById('UPS_BATTVOLT').innerHTML=battvoltp;
		}
		if(battamp>=0) {
			val=xmlDoc.getElementsByTagName('PRP_C_BATTAMP')[0].childNodes[0].nodeValue;
			document.getElementById('PRP_C_BATTAMP1').className=classString[val];
			document.getElementById('PRP_C_BATTAMP2').className=classString[val];
			battampp=xmlDoc.getElementsByTagName('UPS_BATTAMP')[0].childNodes[0].nodeValue;
			if(battampn>=0) {
				battampn=xmlDoc.getElementsByTagName('UPS_NEGBATTAMP')[0].childNodes[0].nodeValue;
				document.getElementById('UPS_BATTAMP').innerHTML=battampp + "(+)<br>" + battampn + "(-)";
			}
			else
				document.getElementById('UPS_BATTAMP').innerHTML=battampp;
		}
		if(chargeampp>=0) {
			chargeampp=xmlDoc.getElementsByTagName('UPS_CHG_CUR_POS')[0].childNodes[0].nodeValue;
			if(chargeampn.length>0) {
				chargeampn=xmlDoc.getElementsByTagName('UPS_CHG_CUR_NEG')[0].childNodes[0].nodeValue;
				document.getElementById('UPS_CHG_CUR').innerHTML=chargeampp + "(+)<br>" + chargeampn + "(-)";
			}
			else
				document.getElementById('UPS_CHG_CUR').innerHTML=battampp;
		}
		if(batttemp>=0) {
			val=xmlDoc.getElementsByTagName('PRP_C_TEMP')[0].childNodes[0].nodeValue;
			document.getElementById('PRP_C_TEMP1').className=classString[val];
			document.getElementById('PRP_C_TEMP2').className=classString[val];
			document.getElementById('UPS_TEMP').innerHTML=xmlDoc.getElementsByTagName('UPS_TEMP')[0].childNodes[0].nodeValue;
			//setMeter('meter2', meterObj2)
			batttempp=xmlDoc.getElementsByTagName('UPS_TEMP')[0].childNodes[0].nodeValue;
			if(batttempn>=0) {
				batttempn=xmlDoc.getElementsByTagName('UPS_NEGTEMP')[0].childNodes[0].nodeValue;
				document.getElementById('UPS_TEMP').innerHTML=batttempp + "(+)<br>" + batttempn + "(-)";
			}
			else
				document.getElementById('UPS_TEMP').innerHTML=batttempp;
		}
		if(battremain.length>0) {
			val=xmlDoc.getElementsByTagName('PRP_C_BATTREMAIN')[0].childNodes[0].nodeValue;
			document.getElementById('PRP_C_BATTREMAIN1').className=classString[val];
			document.getElementById('PRP_C_BATTREMAIN2').className=classString[val];
			document.getElementById('UPS_BATTREMAIN').innerHTML=xmlDoc.getElementsByTagName('UPS_BATTREMAIN')[0].childNodes[0].nodeValue;
		}
		if(xmlDoc.getElementsByTagName('UPS_BATTLAST')[0].childNodes[0])
			document.getElementById('UPS_BATTLAST').innerHTML=xmlDoc.getElementsByTagName('UPS_BATTLAST')[0].childNodes[0].nodeValue;
		if(xmlDoc.getElementsByTagName('UPS_BATTNEXT')[0].childNodes[0])
			document.getElementById('UPS_BATTNEXT').innerHTML=xmlDoc.getElementsByTagName('UPS_BATTNEXT')[0].childNodes[0].nodeValue;
		if(battbreaker.length>0) {
			val=xmlDoc.getElementsByTagName('UPS_BATTCAB_BREAKER')[0].childNodes[0].nodeValue;
			if(val!=0) { // Close
				document['UPS_IMG_BREAKER'].src=imgBreaker[1];
				document.getElementById('UPS_BATT_BREAKER').innerHTML="<span id='#0'>Close</span>";
				document.getElementById('PRP_C_BATT_BREAKER').className="normal";
			}
			else { // Open
				document['UPS_IMG_BREAKER'].src=imgBreaker[0];
				document.getElementById('UPS_BATT_BREAKER').innerHTML="<span id='#1'>Open</span>";
				document.getElementById('PRP_C_BATT_BREAKER').className="critical";
			}
		}
		if(battcabinet.length > 0) {
			for(i=0;i<4;i++) {
				val=xmlDoc.getElementsByTagName('UPS_BATTCAB_TEMP')[i].childNodes[0].nodeValue;
				if(val != -1) {
				document.getElementById('UPS_BATTCAB_TEMP'+(i+1)).innerHTML=val;
				}
				else {
					document.getElementById('UPS_BATTCAB_TEMP'+(i+1)).innerHTML='';
				}					
			}
		}
		if((enableML)&&(currectLang != defaultLang)) {
			chgLangByDoc(info_batterys, document, 0)
		}
	}
}
function pageload()
{
}
//-->
</script>
</head>
<body leftmargin="1" topmargin="8" style="display:none" onLoad="loadjs('/java/langs.js');setTimeout('pageload();InitializeTimer();',150)">
<!-- Top Menu & Left Menu Start -->
<table width=941 border=0 height=100% cellspacing=0 cellpadding=0 align=center id=tab0>
<tr><td colspan=3 id=topblk valign=top><div id=topblkdiv></div></td></tr>
<tr><td colspan=3 id=topmenu1><span id=topmenu1div></span></td></tr>
<tr><td colspan=3 class=topmenusgap><img src="/images/sp.gif" width=941 height=2></td></tr>
<tr><td colspan=3 class=topmenu2 valign=top><span id=topmenu2div></span></td></tr>
<tr><td width="170" valign=top id=td0><div class=menunavdiv id=leftmenudiv></div></td>
<td id=td1><img src=/images/sp.gif width=13 height=1></td>
<td id=td2>
<div style="display:none">
<div id=currlang><% LIN_LANG %></div>
<div id=home_url><a href='<% LIN_INDEX_ASP %>'><span id="@menus#0">Home</span></a></div>
<div id=logout_url><a href='/logout.asp' class='nav' target='_top'><span id="@menus#1">Logout</span></a></div>
<div id=sys_times><% SYS_TIME %></div>
<span id='@index#20'>Network: Disconnect</span>
</div>
<!-- Top Menu & Left Menu End -->
<h4 id=page_title></h4>
<!-- Form Start -->
<FORM NAME="info_battery" ACTION="/delta/info_battery" METHOD=post>
<table cellspacing=0 cellpadding=1 border=0>
<tr><td colspan=2 class="critical"><span id=NET_DISCONNECT></span></td></tr>
<tr><td>
	<div class='bluetabs brtype0' id="<span id='#0'>Battery</span>">
	<table width=320 border=0 cellspacing=1 cellpadding=0 class=mtab>
		<tr height=20pt>
			<td colspan=3 class=mtabth2><span id="#2">Status</span></td>
		</tr>
<script language="javascript">
<!--
	var val=<% UPS_BATTSTS %>;
	if(val>=0) {
		document.write("<tr><td width=50% align=right nowrap style='padding-right:6px;'><span id='#2-1'>Status</span>: </td><td id=PRP_C_BATTSTS><span id=UPS_BATTSTS></span></tr>");
	}
	val=<% UPS_BATTCHARGE %>;
	if(val>=0) {
		document.write("<tr><td width=50% align=right nowrap style='padding-right:6px;'><span id='#18'>Charger</span>: </td><td id=PRP_C_BATTCHARGE><span id=UPS_BATTCHARGE></span></tr>");
	}
	if(battbreaker.length>0) {
		document.write("<tr>");
		document.write("<td width=50% align=right nowrap style='padding-right:6px;'><span id='#7'>Breaker</span>: </td>");
		document.write("<td width=60 id=PRP_C_BATT_BREAKER><span id=UPS_BATT_BREAKER></span></td><td valign=center><img name=UPS_IMG_BREAKER></td>");
		document.write("</tr>");
	}
	val=<% UPS_TESTRESULT %>;
	if(val>=0) {
		document.write("<tr><td width=50% align=right nowrap style='padding-right:6px;'><span id='#27'>Test Result</span>: </td><td id=PRP_C_TESTRESULT colspan=2><span id=UPS_TESTRESULT></span></tr>");
	}
--></script>
		<tr>
			<td width=50% align=right nowrap style='padding-right:6px;'><span id="#8">On Battery Time</span>: </td>
			<td width=60 id=PRP_C_ONBATTTIME1><span id=UPS_ONBATTTIME></span></td>
			<td id=PRP_C_ONBATTTIME2><small><span id="#9">Second(s)</span></small></td>
		</tr>
		<tr height=20pt>
			<td colspan=3 class=mtabth2><span id="#3">Measurement</span></td>
		</tr>
<script language="javascript">
<!--
	if(battleveln>=0) {
		document.write("<tr valign='center'>");
		document.write("<td align=right nowrap style='padding-right:6px;'><span id='#1'>Battery Capacity</span>(+):</td>");
		document.write("<td colspan=2 id=PRP_C_BLEVEL1><div id=battprobar></div></td>");
		document.write("</tr>");
		document.write("<tr valign='center'>");
		document.write("<td align=right nowrap style='padding-right:6px;'><span id='#1-1'>Battery Capacity</span>(-):</td>");
		document.write("<td colspan=2 id=PRP_C_BLEVEL2><div id=battprobarn></div></td>");
		document.write("</tr>");
	}
	else {
		document.write("<tr valign='center'>");
		document.write("<td align=right nowrap style='padding-right:6px;'><span id='#1'>Battery Capacity</span>:</td>");
		document.write("<td colspan=2 id=PRP_C_BLEVEL1><div id=battprobar></div></td>");
		document.write("</tr>");
	}
	if(battvolt.length>0)
		document.write("<tr valign=top><td width=50% align=right nowrap style='padding-right:6px;'><span id='#10'>Voltage</span>: </td><td width=60 id=PRP_C_BATTVOLT1><span id=UPS_BATTVOLT></span></td><td id=PRP_C_BATTVOLT2><small>V</small></td></tr>");
	if(battamp>=0)
		document.write("<tr valign=top><td width=50% align=right nowrap style='padding-right:6px;'><span id='#11'>Current</span>: </td><td width=60 id=PRP_C_BATTAMP1><span id=UPS_BATTAMP></span></td><td id=PRP_C_BATTAMP2><small>A</small></td></tr>");
	if(batttemp>=0)
		document.write("<tr valign=top><td width=50% align=right nowrap style='padding-right:6px;'><span id='#12'>Temperature</span>: </td><td width=60 id=PRP_C_TEMP1><span id=UPS_TEMP></span></td><td id=PRP_C_TEMP2><small>&#176C</small></td></tr>");
	if(battremain.length>0)
		document.write("<tr><td width=50% align=right nowrap style='padding-right:6px;'><span id='#13'>Remaining Time</span>: </td><td width=60 id=PRP_C_BATTREMAIN1><span id=UPS_BATTREMAIN></span></td><td id=PRP_C_BATTREMAIN2><small><span id='#14'>Minute(s)</span></small></td></tr>");
	if(chargeampp>=0)
		document.write("<tr valign=top><td width=50% align=right nowrap style='padding-right:6px;'><span id='#20'>Charging Current</span>: </td><td class=bold width=60><span id=UPS_CHG_CUR></span></td><td class=bold><small>A</small></td></tr>");
	if(battcabinet.length > 0) {
		document.write("<table width=100% border=0 cellspacing=0 cellpadding=0>");
		document.write("<tr height=20pt>");
		document.write("<td colspan=3 class=mtabth2><span id='#16'>Battery Cabinet</span></td>");
		document.write("</tr>");
		for(i=0;i<4;i++) {
			document.write("<tr><td width=50% align=right nowrap style='padding-right:6px;'><span id='#16-"+i+"'>Cabinet</span> ", i+1, " <span id='#12-"+i+"'>Temperature</span>: </td><td width=60 class=bold><span id=UPS_BATTCAB_TEMP", i+1, "></span></td><td class=bold><small>&#176C</small></td></tr>");
		}
	}
--></script>
		<tr><td colspan=3>&nbsp</td></tr>
		<tr height=20pt>
			<td colspan=3 class=mtabth2><span id="#17">Replacement Date</span></td>
		</tr>
		<tr>
			<td colspan=3><span id="#5">Last Battery Replacement Date</span>: </td>
		</tr>
		<tr>
			<td class=bold colspan=3 align=right><span id=UPS_BATTLAST></span> <small>(MM/DD/YYYY)</small></td>
		</tr>
		<tr>
			<td colspan=3><span id="#6">Next Battery Replacement Date</span>: </td>
		</tr>
		<tr>
			<td class=bold colspan=3 align=right><span id=UPS_BATTNEXT></span> <small>(MM/DD/YYYY)</small></td>
		</tr>

	</table>
	</td>
	<td valign=top>
		<!--div id=meter1 style="width:150px;height:100px;border:1px #ccc solid"></div>
		<div id=meter2 style="width:150px;height:100px;border:1px #ccc solid"></div-->
	</td>
</tr>
</table>
</form>
<!-- Form end -->
<div id=copyright style="margin-top:-12px;"></div>
		</td>
	</tr>
</table>
<script language="javascript"><!--
var usr_level=<% LIN_LOGIN_LEVEL %>;
var show_module="<% UPS_SHOW_MODULE %>";
loadwebstyle("Monitor","Information","Battery")
meterObj1 = {
	meterObjs : {},
	label : 'Voltage',
	currVal:70,
	ticks:[0,20,40,60,80,100],
	intervals:[40, 80, 100],
	intervalColors:['#cc6666', '#E7E658', '#66cc66']
}
meterObj2 = {
	meterObjs : {},
	label : 'Temperature',
	currVal:25,
	ticks:[0,20,40,60,80,100],
	intervals:[40, 80, 100],
	intervalColors:meterObj1.intervalColors
}
function setMeter(divs, meterObj,classname){
   var currVal = [meterObj.currVal];
   //eval("var plotObj = 'plot_"+divs+"'")
   meterObj.meterObjs = $.jqplot(divs,[currVal],{
       seriesDefaults: {
           renderer: $.jqplot.MeterGaugeRenderer,
           rendererOptions: {
               label: meterObj.label,
               labelPosition: 'bottom',
               intervalOuterRadius: 30,
               ticks: meterObj.ticks,
               intervals:meterObj.intervals,
               intervalColors:meterObj.intervalColors
           }
       }
   });
   //alert($('#mo1_label').length)
   $('#mo1_label').addClass(classname)
}
//--></script>
</body>
</html>